#include <bits/stdc++.h>
using namespace std;

int power(int x, int n){
	if(n==0){
		return 1;
	}
//	int xnm1 = power(x,n-1);
//	int xn = x*xnm1;
	return x * power(x,n-1);
}

int main(){
	int x;
	cin>>x;
	int n;
	cin>>n;
	int xn;
	xn = power(x,n);
	cout<<xn<<endl;
}
